/*
 * Copyright (c) 2010 Cyrille Berger <cberger@cberger.net>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either 
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public 
 * License along with this library.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _TRANSFORMWIDGET_H_
#define _TRANSFORMWIDGET_H_

#include "ui_TransformWidget.h"

namespace GTLCore {
  class Transform;
}

class TransformWidget : public QWidget {
  Q_OBJECT
  public:
    TransformWidget(QWidget* parent);
    ~TransformWidget();
  public:
    GTLCore::Transform transform() const;
  signals:
    void transformChanged();
  private:
    Ui::TransformWidget m_form;
};

#endif
